EDIT - bug #7542

Move synonym of homotypical group to taxon does not move the homotypical group correctly
07/10/2018 10:42 AM - Patrick Plitzner

Status: Closed Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.2

Severity: normal Found in Version:

Description

Hallo,

wir stof3en in neue Bug-Sphéren vor.

Sophia hat versucht, im NameEditor die Reihenfolge der Synonyme zu korrigieren. Es geht um Caryophyllales_spp, das Taxon ist
Iresine rhizomatosa Standl. in Proc. Biol. Soc. Wash. 28: 172. 1915

dort gab es eine heterotypische Synonymgruppe mit den Namen

= Iresine paniculata (L.) Kuntze in Revis. Gen. PI. 2: 542. 1891 nom. illeg. under Art. 53.1 of the Code [non I. paniculata (Mart.)
Spreng., Syst. Veg. ed. 16 (Jan-Jun 1827] ¢ Celosia paniculata L. in Sp. PI. 1: 206. 1753 = Iresine celosia L. nom. illeg. Syst. Nat. Ed
10, 1759 = Iresine celosioides L. in Sp. PI. ed. 2: 1456. 1763.

Die wurde nun in anderer Reihenfolge angezeigt und die Information, dass die Reihenfolge anders sein darf, war verloren gegangen.
Sie hat dann auf den Eintrag von I. paniculata (L.) Kuntze rechts geklickt, Move Synonym .. to other Taxon gew&hlt und Iresine
Rhizomatosa Standl. ausgewahlt. Ergbenis: Die homotypische Gruppe wurde irgendwohin verschoben, aber wohin? In der Suche
(alles eingeschlossen) ist keiner der Mitglieder der Gruppe mehr zu finden. Beispiel:

General Edit Window Admin Help
Celnsiapanﬂ

Search -

(2% Taxonomic Tree ], Search: 'Celosia pan™ &3 = O

Search String: Celosia pan®
Search for Taxa, Synonyms, Mames (without taxa)

Status: 3 entities found

Bl Celosia pandurata Baker sec. WFO-import Amara-Cheno-Palyg-Dianthus June 2018
@ Celosia pandurata var. elobata Suess. syn. sec. WFO-Dglporf Amara-Cheno-Polyg-Dianthus Ju
@ Celosia pandurata f. trigyna Suess. syn. sec. WFO-Import Amara-Cheno-Polyg-Dianthus June

Im Bulk Editor werden aber die Namen noch gefunden:

Iresine paniculata (L.} Kuntze, Revis. Gen. PI. 2: 542, 1891

2 Iresine paniculata (Mart.) Spreng,, Syst. Veg. 4(2): 103, 1827 ICMAFP
3 Iresine paniculata var. floridana Uline & W.L.Bray in Bot. Gaz. 21: ... | ICMNAFP

Und die HGruppe als referencing Object:

03/20/2024 12




TaxonMame 'lresine F%iculata (L.) Kuntze' is referenced by:

Class Description uuID ol
HomotypicalGr Cruzeta celosioides M.Gomez, Iresine paniculata (L.) Kuntze, Iresine celosioides L, Iresine celosia L., Celosia pa..  12590509-6c38... 23
MameRelations  Celosia paniculata L. basionym for Iresine paniculata (L.) Kuntze 8adff18f-fald7-.. 58
Synonym Iresine paniculata (L.) Kuntze syn. sec. WFQ-Import Amara-Cheno-Polyg-Dianthus June 2018 5e1d584f-1e39... 33

Associated revisions

Revision eb95398b - 07/24/2018 03:59 PM - Katja Luther

fix #7542: first remove synonym then add it to new accepted taxon to avoid orphan synonyms

Revision f210d453 - 07/31/2018 10:25 AM - Katja Luther

fix #7542: the current taxon should not be selectable for moveSynonym to another accepted taxon

History

#1 - 07/24/2018 03:54 PM - Katja Luther

- Target version changed from Unassigned CDM tickets to Release 5.2

#2 - 07/24/2018 03:58 PM - Katja Luther
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib|eb95398b963a25d0d4d48bff12767dd4cd984de4.

#3 - 07/24/2018 03:59 PM - Katja Luther

- Assignee changed from Katja Luther to Patrick Plitzner

please review

#4 - 07/30/2018 04:30 PM - Andreas Miiller

- Category changed from taxeditor to cdmlib

- % Done changed from 50 to 40

Please also remove the current taxon from the search dialog.
Patrick, can you however to the review already for the cdmlib part?

#5 - 07/31/2018 10:31 AM - Katja Luther
- % Done changed from 40 to 50

Applied in changeset taxeditor|f210d45341a085e74c27ab2eadb0dedb9c9c7ae2.

#6 - 08/03/2018 07:55 AM - Patrick Plitzner
- Status changed from Resolved to Closed
- Assignee changed from Patrick Plitzner to Katja Luther

- % Done changed from 50 to 100

reviewed code and functionality in Editor. Seems good
